apiVersion: apps/v1
kind: Deployment
metadata:
  name: clothing-deployment
  labels:
    app: clothing
spec:
  replicas: 3
  selector:
    matchLabels:
      app: clothing
  template:
    metadata:
      labels:
        app: clothing
    spec:
      containers:
      - name: clothing
        image: nginx
        ports:
        - containerPort: 82